Debian Bug report logs - #102609
dpkg: --force-confask - replace conffiles with no new version

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Henning Makholm <henning@makholm.net>

Date: Wed, 27 Jun 2001 20:18:43 UTC

Severity: wishlist

Tags: patch

Found in version 1.9.14

Fixed in version dpkg/1.15.8

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#102609; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to andreas.krueger@lifenet.de (Andreas Krüger):
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: andreas.krueger@lifenet.de (Andreas Krüger)
To: submit@bugs.debian.org
Subject: Configuration files: "Expert" and "beginner"-modes.
Date: Wed, 27 Jun 2001 22:17:36 +0200
Package: dpkg
Version: 1.9.14
Severity: wishlist

Here are two quotes from the packaging manual, dealing with
configuration files:

> If neither the user nor the package maintainer has changed
> the file, it is left alone. If one or the other has
> changed their version, then the changed version is
> preferred - i.e., if the user edits their file, but the
> package maintainer doesn't ship a different version, the
> user's changes will stay, silently, but if the maintainer
> ships a new version and the user hasn't edited it the new
> version will be installed (with an informative
> message). If both have changed their version the user is
> prompted about the problem and must resolve the
> differences themselves.

> However, note that dpkg will not replace a conffile that
> was removed by the user (or by a script). This is
> necessary because with some programs a missing file
> produces an effect hard or impossible to achieve in
> another way, so that a missing file needs to be kept that
> way if the user did it.

(These quotes are from
/usr/share/doc/packaging-manual/packaging.html/ch-conffiles.html
as contained in the package packaging-manual, version
3.1.1.1)


I suggest, as a new feature, a distinction of "expert mode"
and "beginner's mode".


Plain dpkg continues to function as described above, which
is what I call "expert mode".


There is a command line switch added to dpkg, as well as an
option to /etc/dpkg/dpkg.cfg, either one of which would
switch dpkg to "beginner's mode".

In "beginner's mode", in short, we ask the users whether
they know what they have been doing to the configuration
files.

To spell this out, "beginner's mode" differs from "expert
mode" only in these two cases:

If the user has changed a configuration file, the changes
will not stay silently.  Instead, the user is informed about
the situation, along these lines: "You or a script have
changed the file foobar from an older version, while the
package maintainer ships that same older version."  The
process then suggests to keep the changed version, but
offers an option to go back to the package maintainer's
original.

Similarly, if a user has deleted a configuration file, the
package maintainer's file will not be dropped silently.
Instead, the user will be informed "You or a script have
deleted the configuration file foobar, which this package
would normally install."  The process then suggests to not
install this file, but gives the user an option to install
it anyway.





Tags added: wontfix Request was from Wichert Akkerman <wichert@wiggy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#102609; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 102609@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: 102609@bugs.debian.org
Subject: Wanted: dpkg option to consider all confflies in .deb new
Date: Fri, 31 Oct 2003 15:59:48 +0000
It is hard to argue with a one-line "wontfix" tag, but FWIW I'll
second the proposal in bug 102609. Perhaps it was ill received because
of the "beginner" terminology, but I think that the proposed feature
would sometimes be helpful even for people who know what they're
doing.

When one finds that one's attempt to hack some conffiles did not work,
there is no really good way to get dpkg to restore them to the
versions shipped in the .deb, unless one has been cautious enough to
take backups of them oneself.

I was in this situation recently - I tried reinstalling the original
.deb, but dpkg just thought that since the md5sums in the "new" deb
was identical to the ones in /var/lib/dpkg/info, it would not bother
me with offering to install the ones in the package.

In this situation there are basically only two possibilities:

  1. Purge the package, then reinstall. Difficult and dangerous if
     it is essential or required, or if a lot of other stuff depends
     on it.

  2. Use dpkg-deb -x to extract the files in /tmp and manually move
     them into place. This is doable but tedious; one may have to loop
     through the files manually to find the changes, and in general
     this involve more typing at a root prompt than I think one should
     be forced to do when much of the necessary logic is already right
     there in dpkg.

-- 
Henning Makholm                                    "*Vi vil ha wienerbrød!*"



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#102609; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 102609@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: Adam Heath <doogie@debian.org>
Cc: 102609@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#102609: Wanted: dpkg option to consider all confflies in .deb new
Date: Sat, 1 Nov 2003 23:40:36 +0000
reopen 102609 !
title dpkg: option to consider all conffiles different from previous versions
thanks

Scripsit Adam Heath
> On Fri, 31 Oct 2003, Henning Makholm wrote:

> > When one finds that one's attempt to hack some conffiles did not work,
> > there is no really good way to get dpkg to restore them to the
> > versions shipped in the .deb, unless one has been cautious enough to
> > take backups of them oneself.

> dpkg --force-confnew

No:

# echo wrong things here > /etc/reportbug.conf
# dpkg -i --force-confnew /var/cache/apt/archives/reportbug_2.36_all.deb
(Reading database ... 51783 files and directories currently installed.)
Preparing to replace reportbug 2.36 (using .../reportbug_2.36_all.deb) ...
Unpacking replacement reportbug ...
Setting up reportbug (2.36) ...

# cat /etc/reportbug.conf
wrong things here
# 

What I'm talking about is something that makes dpkg act as it would if
the conffile in the .deb I'm installing is different from the conffile
in the last .deb that dpkg installed. If that were the case, dpkg would
offer to install the version in the .deb, and/or show me diffs of my
bad version versus the one in the .deb - the works.

--force-confnew is irrelevant. It just answers questions for me
automatically. The wish is to have a way to get dpkg to *ask* the
question in the first place. (I can provoke it by manually modifying
the old md5sum for the conffile in /var/lib/dpkg/status, but that is
hardly something that should be recommended practise.)

-- 
Henning Makholm                        "Nej, hvor er vi altså heldige! Længe
                                      leve vor Buxgører Sansibar Bastelvel!"



Reply sent to Adam Heath <doogie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to andreas.krueger@lifenet.de (Andreas Krüger):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 102609-done@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Henning Makholm <henning@makholm.net>, <102609-done@bugs.debian.org>
Subject: Re: Bug#102609: Wanted: dpkg option to consider all confflies in .deb new
Date: Sat, 1 Nov 2003 17:17:56 -0600 (CST)
On Fri, 31 Oct 2003, Henning Makholm wrote:

> It is hard to argue with a one-line "wontfix" tag, but FWIW I'll
> second the proposal in bug 102609. Perhaps it was ill received because
> of the "beginner" terminology, but I think that the proposed feature
> would sometimes be helpful even for people who know what they're
> doing.
>
> When one finds that one's attempt to hack some conffiles did not work,
> there is no really good way to get dpkg to restore them to the
> versions shipped in the .deb, unless one has been cautious enough to
> take backups of them oneself.
>
> I was in this situation recently - I tried reinstalling the original
> .deb, but dpkg just thought that since the md5sums in the "new" deb
> was identical to the ones in /var/lib/dpkg/info, it would not bother
> me with offering to install the ones in the package.

dpkg --force-confnew




Bug reopened, originator set to Henning Makholm <henning@makholm.net>. Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#102609; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 102609@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: 102609@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dpkg: --force-confask - replace conffiles with no new version
Date: Fri, 26 Dec 2003 07:49:00 +0000
retitle 102609 dpkg: --force-confask - replace conffiles with no new version
tag 102609 + patch
thanks

This patch adds a force option to dpkg which will cause it to offer to
replace a locally changed conffile with the file provided in the .deb
even if the .deb's file has not changed since the current
installation.  This is occasionally useful for error recovery, even
though the original submitter's idea of using it as a default
"beginner mode" is clearly a bad idea.

diff -ur dpkg-1.10.18.old/main/configure.c dpkg-1.10.18/main/configure.c
--- dpkg-1.10.18.old/main/configure.c	Sat Oct 25 21:03:20 2003
+++ dpkg-1.10.18/main/configure.c	Fri Dec 26 05:45:44 2003
@@ -210,6 +210,8 @@
 				useredited= strcmp(conff->hash,currenthash) != 0;
 				distedited= strcmp(conff->hash,newdisthash) != 0;
 				what= conffoptcells[useredited][distedited];
+                                if (fc_conff_ask && useredited)
+                                        what= conffoptcells[1][1];
 			}
 
 			debug(dbg_conff,
diff -ur dpkg-1.10.18.old/main/main.c dpkg-1.10.18/main/main.c
--- dpkg-1.10.18.old/main/main.c	Sat Oct 25 21:03:21 2003
+++ dpkg-1.10.18/main/main.c	Fri Dec 26 05:40:08 2003
@@ -138,6 +138,7 @@
 int fc_nonroot=0, fc_overwritedir=0, fc_conff_new=0, fc_conff_miss=0;
 int fc_conff_old=0, fc_conff_def=0;
 int fc_badverify = 0;
+int fc_conff_ask = 0;
 
 int errabort = 50;
 const char *admindir= ADMINDIR;
@@ -158,6 +159,7 @@
   { "confold",             &fc_conff_old                },
   { "confdef",             &fc_conff_def                },
   { "confmiss",            &fc_conff_miss               },
+  { "confask",             &fc_conff_ask                },
   { "depends",             &fc_depends                  },
   { "depends-version",     &fc_dependsversion           },
   { "auto-select",         &fc_autoselect               },
@@ -313,6 +315,7 @@
                          you will be prompted unless one of the confold or\n\
                          confnew options is also given\n\
   confmiss [!]           Always install missing config files\n\
+  confask [!]            Offer to replace config files with no new versions\n\
   conflicts [!]          Allow installation of conflicting packages\n\
   architecture [!]       Process even packages with wrong architecture\n\
   overwrite-dir [!]      Overwrite one package's directory with another's file\n\
diff -ur dpkg-1.10.18.old/main/main.h dpkg-1.10.18/main/main.h
--- dpkg-1.10.18.old/main/main.h	Mon May 20 06:56:01 2002
+++ dpkg-1.10.18/main/main.h	Fri Dec 26 05:41:19 2003
@@ -87,6 +87,7 @@
 extern int fc_nonroot, fc_overwritedir, fc_conff_new, fc_conff_miss;
 extern int fc_conff_old, fc_conff_def;
 extern int fc_badverify;
+extern int fc_conff_ask;
 
 extern int errabort;
 extern const char *admindir;
diff -ur dpkg-1.10.18.old/man/en/dpkg.8.sgml dpkg-1.10.18/man/en/dpkg.8.sgml
--- dpkg-1.10.18.old/man/en/dpkg.8.sgml	Mon May 13 22:00:32 2002
+++ dpkg-1.10.18/man/en/dpkg.8.sgml	Fri Dec 26 05:50:31 2003
@@ -1088,6 +1088,20 @@
 	    </varlistentry>
 
 	    <varlistentry>
+	      <term>confask</term>
+
+	      <listitem><para>
+		If a conffile has been modified always offer to
+		replace it with the version in the package, even if
+                the version in the package did not change. If one of
+                <option>--force-confnew</option>,
+		<option>--force-confold</option>, or
+		<option>--force-confdef</option> is also given, it
+		will be used to decide the final action.
+	      </para></listitem>
+	    </varlistentry>
+
+	    <varlistentry>
 	      <term>overwrite</term>
 
 	      <listitem><para>


-- 
Henning Makholm               "... not one has been remembered from the time
                         when the author studied freshman physics. Quite the
            contrary: he merely remembers that such and such is true, and to
          explain it he invents a demonstration at the moment it is needed."



Changed Bug title. Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Henning Makholm <henning@makholm.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: wontfix Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 22 Jun 2008 20:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#102609; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 102609@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Henning Makholm <henning@makholm.net>
Cc: 102609@bugs.debian.org
Subject: Re: dpkg: --force-confask - replace conffiles with no new version
Date: Sun, 6 Jul 2008 17:30:37 +0200
Hi Henning,

On Fri, 26 Dec 2003, Henning Makholm wrote:
> This patch adds a force option to dpkg which will cause it to offer to
> replace a locally changed conffile with the file provided in the .deb
> even if the .deb's file has not changed since the current
> installation.

I find this option useful too. Would you be interested in updating your
patch for the current codebase of dpkg ?

If yes, see http://wiki.debian.org/Teams/Dpkg/GitUsage for instructions to
grab the git repository. Provide me a patch against the master branch and
I'll merge it if it's fine.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 03 Jul 2010 05:51:03 GMT) Full text and rfc822 format available.

Message sent on to Henning Makholm <henning@makholm.net>:
Bug#102609. (Sat, 03 Jul 2010 05:51:07 GMT) Full text and rfc822 format available.

Message #45 received at 102609-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 102609-submitter@bugs.debian.org
Subject: Bug#102609 marked as pending
Date: Sat, 03 Jul 2010 05:47:51 +0000
tag 102609 pending
thanks

Hello,

Bug #102609 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=bd0ae9a

---
commit bd0ae9a42b06f09223383e67edb262041e2bd98d
Author: Henning Makholm <henning@makholm.net>
Date:   Sat Jul 3 04:30:04 2010 +0200

    Add new dpkg --force-confask option
    
    The option forces a conffile prompt when the conffile from the new
    package does not differ from the previous one version.
    
    Closes: #102609
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

diff --git a/debian/changelog b/debian/changelog
index a2d130e..acf3793 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -71,6 +71,9 @@ dpkg (1.15.8) UNRELEASED; urgency=low
   * Detect when another process has locked the database, and mention that
     problematic dpkg --audit results might be due to ongoing operations.
     Closes: #80252
+  * Add new dpkg --force-confask option that forces a conffile prompt when
+    the conffile from the new package does not differ from the previous one.
+    Thanks to Henning Makholm <henning@makholm.net>. Closes: #102609
 
   [ Updated programs translations ]
   * Catalan (Guillem Jover).




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 29 Jul 2010 09:33:04 GMT) Full text and rfc822 format available.

Notification sent to Henning Makholm <henning@makholm.net>:
Bug acknowledged by developer. (Thu, 29 Jul 2010 09:33:05 GMT) Full text and rfc822 format available.

Message #50 received at 102609-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 102609-close@bugs.debian.org
Subject: Bug#102609: fixed in dpkg 1.15.8
Date: Thu, 29 Jul 2010 09:32:22 +0000
Source: dpkg
Source-Version: 1.15.8

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.8_all.deb
  to main/d/dpkg/dpkg-dev_1.15.8_all.deb
dpkg_1.15.8.dsc
  to main/d/dpkg/dpkg_1.15.8.dsc
dpkg_1.15.8.tar.bz2
  to main/d/dpkg/dpkg_1.15.8.tar.bz2
dpkg_1.15.8_amd64.deb
  to main/d/dpkg/dpkg_1.15.8_amd64.deb
dselect_1.15.8_amd64.deb
  to main/d/dpkg/dselect_1.15.8_amd64.deb
libdpkg-dev_1.15.8_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.15.8_amd64.deb
libdpkg-perl_1.15.8_all.deb
  to main/d/dpkg/libdpkg-perl_1.15.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 102609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Jul 2010 09:37:35 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.15.8
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 68788 68861 80252 102609 477954 497304 525567 534637 547993 550252 572526 574704 575304 578365 579012 579149 581544 582389 582401 582404 582406 582814 582819 582893 583656 583902 587382 587641 587724 587949 588265 590297 590472
Changes: 
 dpkg (1.15.8) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Add new commands --before-build and --after-build to dpkg-source
     and modify dpkg-buildpackage to call them automatically at the
     start and at the end of the process. With "3.0 (quilt)" source packages
     this ensures patches are applied even in case of binary-only builds.
     Closes: #572526
   * Merge non-regression test for Ubuntu's specificities concerning
     changelog handling. Closes: #582389
   * Fix some copy-paste mistakes in dpkg-architecture(1). Thanks to Ian Fleming
     <iflema@yahoo.com.au> for the patch and Colin Watson for forwarding out of
     Launchpad. Closes: #582404 LP: #564308
   * Clarify description of dpkg --configure in dpkg(1). Thanks to Colin Watson
     for the patch and to Robert Persson for the report.
     Closes: #582406 LP: #77287
   * Fix the non-regression test lib/dpkg/test/t-ar.c by not overflowing the
     size of ar_name. Thanks to Colin Watson for the report, analysis and patch.
     Closes: #582401
   * Modify Dpkg::Shlibs::Objdump to use the cross objdump binary when cross
     compiling. Thanks to Loïc Minier for the initial patch. Closes: #578365
   * Make dpkg-maintscript-helper more robust when required parameters are
     missing. Closes: #582814
   * Clarify that dpkg-maintscript-helper rm_conffile needs the last version of
     the package that did not remove the obsolete conffile if this was not
     implemented at the time the file became obsolete. Closes: #582893
   * Enhance dpkg-maintscript-helper rm_conffile and mv_conffile to work
     properly when <lastversion> is not given (or is empty). Closes: #582819
   * Small fix in dpkg-gensymbols' handling of tags. Closes: #583656
     Thanks to Michael Tautschnig <mt@debian.org> for the report and the fix.
   * update-alternatives has been rewritten in C, the only feature change
     should be that it uses its own logfile /var/log/alternatives.log (rotated
     like dpkg.log).
   * Implement new --unapply-patches option for dpkg-source with source formats
     2.0 and 3.0 (quilt) that unapplies the patches after a successful build.
     This option can be put in debian/source/local-options in the package VCS
     repository for instance.
   * Implement new --abort-on-upstream-changes option for dpkg-source with
     source formats 1.0, 2.0 and 3.0 (quilt). It aborts every time that you try
     to build a source package which contains (unmanaged) changes to the
     upstream source code. Closes: #579012
   * dpkg-source now captures the output of patch and prints it on error so
     that the user can better diagnose what went wrong. Closes: #575304
   * Fix Dpkg::Changelog to cope properly with an entry of version "0".
     Add non-regression test for this. Closes: #587382
   * Add --export command to dpkg-buildflags to be used in shell with eval.
   * Modify source format "3.0 (git)" to use git bundles. Thanks to Joey Hess
     for the patch.
     The usage of git bundle avoids distributing cruft. Closes: #477954
     It's no longer needed to tell which branch contains the debian packaging,
     it uses automatically the one that was used at build-time. Closes: #534637
   * Pass --no-name option to gzip to avoid encoding the timestamp in the file
     so that the result is more predictable. Closes: #587724
     Also pass --rsyncable to make source packages more rsync friendly.
   * Replace dpkg-source's tar ignore pattern "*~" with "*/*~" to avoid
     matching on the top level directory. Closes: #588265
   * In source formats "2.0" and "3.0 (quilt)", make sure to remove the
     upstream-provided debian directory before copying the debian-provided
     version of that directory in place. Closes: #590297
 .
   [ Guillem Jover ]
   * Require gettext 0.18:
     - Remove embedded gettext files from the repository, now properly
       installed by autopoint for all po/ directories.
     - Add versioned Build-Depends.
   * Fix variable usage after delete in dselect.
   * Change default configure admindir to LOCALSTATEDIR/lib/dpkg from
     LOCALSTATEDIR/dpkg, so that we can use a correct --localstatedir=/var.
   * Add two new dpkg options --path-exclude and --path-include for filtering
     files on package installation. This allows embedded systems to skip
     /usr/share/doc, manpages, etc. Based on work from Tollef Fog Heen and
     Martin Pitt, thanks! Closes: #68788, #68861, #497304, #525567, #583902
   * Remove obsolete internal status aliases “postinst-failed” for
     stat_halfconfigured and “removal-failed” for stat_halfinstalled.
   * Check version syntax when parsing it from libdpkg based programs.
     Closes: #574704
   * Rewrite mksplit in C, and merge it into dpkg-split.
   * Rewrite dpkg-divert in C.
   * Use linux-any wildcard for libselinux1-dev Build-Depends instead of
     using a list of negated architectures.
   * Use Breaks instead of Conflicts in dpkg, dpkg-dev and libdpkg-perl binary
     packages.
   * Move Dpkg.pm and Dpkg/Gettext.pm from dpkg to libdpkg-perl.
   * Bump Standards-Version to 3.9.1.
   * Detect when another process has locked the database, and mention that
     problematic dpkg --audit results might be due to ongoing operations.
     Closes: #80252
   * Add new dpkg --force-confask option that forces a conffile prompt when
     the conffile from the new package does not differ from the previous one.
     Thanks to Henning Makholm <henning@makholm.net>. Closes: #102609
   * On dpkg-divert --rename, check if the source file exists, and disable
     renaming if it does not. Closes: #550252
     As a side effect, this avoids useless errors when the destination
     directory is not existent or writable. Closes: #581544
   * Properly compute the longest package description from all to be displayed
     on “dpkg-query --list”, so that it does not get incorrectly trimmed.
   * Consistently use earlier/later instead of smaller/bigger when describing
     comparison relationships. Closes: #587641
   * Stop exporting DPKG_LIBDIR to maintainer scripts, no need for it anymore.
   * Assign correct SE Linux label on non-regular files. Based on a patch by
     Russell Coker <russell@coker.com.au>. Closes: #587949
   * Add -F option to dpkg-buildpackage to be able to explicitly specify a
     normal full build and combine it with -nc. Closes: #547993
   * Add missing mentions of the Breaks field alongside the other fields
     sharing the same syntax in deb-control(5).
     Thanks to Osamu Aoki <osamu@debian.org>. Closes: #590472
 .
   [ Updated programs translations ]
   * Catalan (Guillem Jover).
   * German (Sven Joachim).
   * Russian (Yuri Kozlov). Closes: #579149
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann).
   * Russian (Yuri Kozlov). Closes: #579149
   * Spanish (Omar Campagne).
   * Swedish (Peter Krefting).
 .
   [ New scripts translation ]
   * Spanish (Omar Campagne).
 .
   [ Updated scripts translations ]
   * French (Christian Perrier).
   * German (Helge Kreutzmann). Improved by Holger Wansing.
   * Russian (Yuri Kozlov). Closes: #579149
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 ea484858776de1d0d4670936dd0065f488ff3300 1200 dpkg_1.15.8.dsc
 1d7d064ab2f5269d4d74643f01a1e4020466d51d 5041695 dpkg_1.15.8.tar.bz2
 9af89a72ac53443f7663917055c2149cff3187f3 409508 libdpkg-dev_1.15.8_amd64.deb
 1357be6a546dc627eae5ea81c046d474639aad54 1922772 dpkg_1.15.8_amd64.deb
 3244714f016e7c159383d61efec80ef71b7b90af 824080 dselect_1.15.8_amd64.deb
 d8c88870ff56dff6bac23f331a3228f0d80a2081 440374 dpkg-dev_1.15.8_all.deb
 b22ebc72d22026c793fc66fdad1af2fd0480045b 650142 libdpkg-perl_1.15.8_all.deb
Checksums-Sha256: 
 bbde5652260d25cf1d268f5bd245b081af0a1cd9897818bae4bdffa4559ecf32 1200 dpkg_1.15.8.dsc
 b19a2304109b4a78685e334c22cc9a9de899108b9bdb29b3b70e5378cfb8eff7 5041695 dpkg_1.15.8.tar.bz2
 fb5aa2e0fb93519c7829ffb8df50d2740cb37c6f1dbc82fc641ffd1ed99c7aee 409508 libdpkg-dev_1.15.8_amd64.deb
 49bcb9a6ca55e441e524c714046ea90ce9f8230e855ba636bb8ce278f0c6804d 1922772 dpkg_1.15.8_amd64.deb
 994e5c065e94e37d6e19363ca96cb770c0b5535f1aabb415113b4db2a7c31184 824080 dselect_1.15.8_amd64.deb
 a0d8f98ed4bf28c4f6fda03145f32fe77096b5f60c5d62f4d4b5531c506e3115 440374 dpkg-dev_1.15.8_all.deb
 c997307ed3cfa8df36be891011ca8b4d67f6341c2449b01de66260fe14670788 650142 libdpkg-perl_1.15.8_all.deb
Files: 
 e0e08c2c28707238e6882ad1a158f1f8 1200 admin required dpkg_1.15.8.dsc
 fedbe74bf99ecf4bb1a767c9e700f84c 5041695 admin required dpkg_1.15.8.tar.bz2
 89b778b74969e79bbe7bb7ac347b556a 409508 libdevel optional libdpkg-dev_1.15.8_amd64.deb
 9dd776d0693849e081356f4cca2f32a4 1922772 admin required dpkg_1.15.8_amd64.deb
 2ee729998c71106874b84e545a0672ec 824080 admin optional dselect_1.15.8_amd64.deb
 b4e5658bcbb7618e98893a42e112510f 440374 utils optional dpkg-dev_1.15.8_all.deb
 6c0a9d3c5f760f3c0498b0ee5a8e7ccc 650142 perl optional libdpkg-perl_1.15.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxRQqMACgkQuW9ciZ2SjJuuYACg+5XmjSk92wsslSJhX2/RLP4T
iHIAoLFB4Ou8hjPRY+EUN9UKi52WSD6v
=N1Hd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Sep 2010 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:32:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.